import * as $dara from '@darabonba/typescript';
export declare class GetFileProtectEventRequest extends $dara.Model {
    /**
     * @remarks
     * The ID of the event.
     *
     * @example
     * 12
     */
    id?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
